PR_GET_AUXV(2const)

NAME
PR_GET_AUXV - get the auxiliary vector

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_GET_AUXV, void auxv[.size], unsigned long size, 0L, 0L);

DESCRIPTION
Get the auxiliary vector (auxv) into the buffer pointed to by auxv, whose size is given by size.

If the buffer is not long enough for the full auxiliary vector, the copy will be truncated.

RETURN VALUE
On success, this call returns the full size of the auxiliary vector. On error, -1 is returned, and errno is set to indicate the error.

ERRORS

EFAULT
    auxv is an invalid address.

STANDARDS
Linux.

HISTORY
Linux 6.4.

SEE ALSO
prctl(2)